import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.getNftsForAddress({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"chain_tip_height": 123,
"chain_tip_signed_at": "2023-11-07T05:31:56Z",
"items": [
{
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"is_spam": true,
"last_transfered_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"balance": "<string>",
"balance_24h": "<string>",
"type": "<string>",
"floor_price_quote": 123,
"pretty_floor_price_quote": "<string>",
"floor_price_native_quote": 123,
"nft_data": [
{
"token_id": "<string>",
"token_url": "<string>",
"original_owner": "<string>",
"current_owner": "<string>",
"external_data": {
"name": "<string>",
"description": "<string>",
"asset_url": "<string>",
"asset_file_extension": "<string>",
"asset_mime_type": "<string>",
"asset_size_bytes": "<string>",
"image": "<string>",
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"animation_url": "<string>",
"external_url": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
],
"thumbnails": {
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"image_opengraph_url": "<string>",
"thumbhash": "<string>"
},
"image_preview": "<string>",
"asset_properties": {
"asset_width": 123,
"asset_height": 123,
"dominant_color": "<string>"
}
},
"asset_cached": true,
"image_cached": true
}
]
}
]
}Get NFTs for address
Commonly used to render the NFTs (including ERC721 and ERC1155) held by an address.
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.getNftsForAddress({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();Credit Cost
Processing
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Path Parameters
The chain name eg: eth-mainnet.
The requested address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
Query Parameters
If true, the suspected spam tokens are removed. Supported on all Foundational Chains.
If true, the response shape is limited to a list of collections and token ids, omitting metadata and asset information. Helpful for faster response times and wallets holding a large number of NFTs.
Response
Successful response
The requested address.
The timestamp when the response was generated. Useful to show data staleness to users.
The latest block height of the blockchain at the time this response was provided.
The timestamp of the latest signed block at the time this response was provided.
List of response items.
Show child attributes
Show child attributes